using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Example_3_1
{
  public partial class frmSavings : Form
  {
    public frmSavings()
    {
      InitializeComponent();
    }

    private void btnCalculate_Click(object sender, EventArgs e)
    {
      // create and construct Savings object
      Savings savingsAccount;
      savingsAccount = new Savings();
      // set properties from text boxes
      savingsAccount.Deposit = Convert.ToDouble(txtDeposit.Text);
      savingsAccount.Interest = Convert.ToDouble(txtInterest.Text);
      savingsAccount.Months = Convert.ToDouble(txtMonths.Text);
      // compute final value and put in text box
      txtFinal.Text = String.Format("{0:f2}", savingsAccount.Final());
    }
    private void txtDeposit_KeyPress(object sender, KeyPressEventArgs e)
    {
      // only allow numbers, a single decimal point, backspace  or enter    
      if ((e.KeyChar >= '0' && e.KeyChar <= '9') || (int)e.KeyChar == 8)
      {
        // acceptable keystrokes 
        e.Handled = false;
      }
      else if ((int)e.KeyChar == 13)
      {
        // enter key - move to next box
        txtInterest.Focus();
      }
      else if (e.KeyChar == '.')
      {
        // check for existence of decimal point
        if (txtDeposit.Text.IndexOf(".") == -1)
        {
          e.Handled = false;
        }
        else
        {
          e.Handled = true;
        }
      }
      else
      {
        e.Handled = true;
      }
    }


    private void txtInterest_KeyPress(object sender, KeyPressEventArgs e)
    {
      // only allow numbers, a single decimal point, backspace  or enter    
      if ((e.KeyChar >= '0' && e.KeyChar <= '9') || (int)e.KeyChar == 8)
      {
        // acceptable keystrokes 
        e.Handled = false;
      }
      else if ((int)e.KeyChar == 13)
      {
        // enter key - move to next box
        txtMonths.Focus();
      }
      else if (e.KeyChar == '.')
      {
        // check for existence of decimal point
        if (txtDeposit.Text.IndexOf(".") == -1)
        {
          e.Handled = false;
        }
        else
        {
          e.Handled = true;
        }
      }
      else
      {
        e.Handled = true;
      }
    }


    private void txtMonths_KeyPress(object sender, KeyPressEventArgs e)
    {
      // only allow numbers, a single decimal point, backspace  or enter    
      if ((e.KeyChar >= '0' && e.KeyChar <= '9') || (int)e.KeyChar == 8)
      {
        // acceptable keystrokes 
        e.Handled = false;
      }
      else if ((int)e.KeyChar == 13)
      {
        // enter key - move to calculate button
        btnCalculate.Focus();
      }
      else
      {
        e.Handled = true;
      }
    }

    private void btnExit_Click(object sender, EventArgs e)
    {
      this.Close();
    }

  }
}